com.explodingpixels.macwidgets.plaf

## Class IAppScrollBarArtworkUtils

- java.lang.Object
- - com.explodingpixels.macwidgets.plaf.IAppScrollBarArtworkUtils

-     public class IAppScrollBarArtworkUtils
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ScrollThumbImagePainter` | `createHorizontalScrollerThumb()`
    `static AbstractButton` | `createHorizontalSeparateDecrementButton()`
    `static AbstractButton` | `createHorizontalSeparateIncrementButton()`
    `static AbstractButton` | `createHorizontalTogetherDecrementButton()`
    `static AbstractButton` | `createHorizontalTogetherIncrementButton()`
    `static ScrollThumbImagePainter` | `createVerticalScrollerThumb()`
    `static AbstractButton` | `createVerticalSeparateDecrementButton()`
    `static AbstractButton` | `createVerticalSeparateIncrementButton()`
    `static AbstractButton` | `createVerticalTogetherDecrementButton()`
    `static AbstractButton` | `createVerticalTogetherIncrementButton()`
    `static int` | `getDecrementButtonRecess()`
    `static Dimension` | `getHorizontalScrollBarMinimumSize()`
    `static int` | `getHorizontalScrollBarMiniumumWidth()`
    `static ImageIcon` | `getHorizontalTrack()`
    `static ImageIcon` | `getScrollBarLeftCap()`
    `static ImageIcon` | `getScrollBarTopCap()`
    `static int` | `getScrollBarTopCapRecess()`
    `static Dimension` | `getVerticalScrollBarMinimumSize()`
    `static int` | `getVerticalScrollBarMiniumumHeight()`
    `static ImageIcon` | `getVerticalTrack()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createVerticalTogetherDecrementButton

          public static AbstractButton createVerticalTogetherDecrementButton()

    - #### createVerticalTogetherIncrementButton

          public static AbstractButton createVerticalTogetherIncrementButton()

    - #### createVerticalSeparateDecrementButton

          public static AbstractButton createVerticalSeparateDecrementButton()

    - #### createVerticalSeparateIncrementButton

          public static AbstractButton createVerticalSeparateIncrementButton()

    - #### createVerticalScrollerThumb

          public static ScrollThumbImagePainter createVerticalScrollerThumb()

    - #### getVerticalScrollBarMiniumumHeight

          public static int getVerticalScrollBarMiniumumHeight()

    - #### getVerticalScrollBarMinimumSize

          public static Dimension getVerticalScrollBarMinimumSize()

    - #### getScrollBarTopCap

          public static ImageIcon getScrollBarTopCap()

    - #### getVerticalTrack

          public static ImageIcon getVerticalTrack()

    - #### createHorizontalTogetherDecrementButton

          public static AbstractButton createHorizontalTogetherDecrementButton()

    - #### createHorizontalTogetherIncrementButton

          public static AbstractButton createHorizontalTogetherIncrementButton()

    - #### createHorizontalSeparateDecrementButton

          public static AbstractButton createHorizontalSeparateDecrementButton()

    - #### createHorizontalSeparateIncrementButton

          public static AbstractButton createHorizontalSeparateIncrementButton()

    - #### createHorizontalScrollerThumb

          public static ScrollThumbImagePainter createHorizontalScrollerThumb()

    - #### getHorizontalScrollBarMiniumumWidth

          public static int getHorizontalScrollBarMiniumumWidth()

    - #### getHorizontalScrollBarMinimumSize

          public static Dimension getHorizontalScrollBarMinimumSize()

    - #### getScrollBarLeftCap

          public static ImageIcon getScrollBarLeftCap()

    - #### getHorizontalTrack

          public static ImageIcon getHorizontalTrack()

    - #### getScrollBarTopCapRecess

          public static int getScrollBarTopCapRecess()

    - #### getDecrementButtonRecess

          public static int getDecrementButtonRecess()